Update wikidiff2 library on the WMF production cluster to v1.7.2
Closed, ResolvedPublic1 Story Points

Description

When T197729 is merged and wikidiff2 is updated to 1.7.2 it can be deployed on the production cluster.

  • tag and release wikidiff2 1.7.2
  • ask for deployment on production
WMDE-Fisch set the point value for this task to 2.
WMDE-Fisch added a subscriber: JStrodt_WMDE.

@MoritzMuehlenhoff

We had to update wikidiff2 for a smaller bugfix and some layout groundwork. This is merged now and I am in the process of getting the release done. Could you schedule some time for us to rollout the updated version when the 1.7.2 release is ready?

WMDE-Fisch updated the task description. (Show Details)Jul 19 2018, 1:47 PM
MoritzMuehlenhoff added a subscriber: Operations.

@WMDE-Fisch : Sure, I'm going on vacation soon, but we can upgrade beta in the week of the 30th of July? And if everything works fine, we can pick a date for production deployment afterwards.

@MoritzMuehlenhoff sounds good! Our goal would be having this rolled out on production in the week of the 6th of August then. One week on beta should be sufficient when that's also fine from your side. The last changes were more minor things.

The week of the 6th seems unrealistic, I'm also off between Aug 3 to Aug 8, but the week of the 13th seems fine (or I can check whether anyone else in SRE can deal with the production rollout)

WMDE-Fisch added a comment.EditedJul 19 2018, 2:47 PM

Ok the week of the 13th should also be fine I just checked back with the community communications team.

Ok, just ping this task when you have the 1.7.2 release ready.

Ok, just ping this task when you have the 1.7.2 release ready.

Ah yeah the release is already ready ;-).

WMDE-Fisch changed the point value for this task from 2 to 1.Jul 31 2018, 12:19 PM
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-07-31 board.

Mentioned in SAL (#wikimedia-operations) [2018-08-01T13:49:25Z] <moritzm> upgrade application servers in beta to wikidiff 1.7,2 (T199801)

Mentioned in SAL (#wikimedia-releng) [2018-08-01T13:49:49Z] <moritzm> upgrade application servers in beta to wikidiff 1.7,2 (T199801)

I've upgraded the wikidiff package to 1.7.2 and upgraded beta to the new release. Please test it there.

I've upgraded the wikidiff package to 1.7.2 and upgraded beta to the new release. Please test it there.

Thanks, I just enabled the new mobile inline handling and it works well so far. - Just as a heads-up: We're currently dealing with a nasty bug in the wikidiff2 moved paragraph detection, so might be we need another update in the near future. Maybe it's possible to sync that. But we will see...

Just as a heads-up: We're currently dealing with a nasty bug in the wikidiff2 moved paragraph detection, so might be we need another update in the near future. Maybe it's possible to sync that. But we will see...

What's the status here? Is that bug a blocker to 1.7.2 being rolled out to production?

Just as a heads-up: We're currently dealing with a nasty bug in the wikidiff2 moved paragraph detection, so might be we need another update in the near future. Maybe it's possible to sync that. But we will see...

What's the status here? Is that bug a blocker to 1.7.2 being rolled out to production?

No this bug is older so the rollout of 1.7.2 is not directly affected so it's unrelated to the deployment. I just had the hope, that if we could fix it quickly we might be able to sync the deployments. But atm it looks like we need some more time with this so we do the 1.7.2 rollout as planed. - Thanks

No this bug is older so the rollout of 1.7.2 is not directly affected so it's unrelated to the deployment. I just had the hope, that if we could fix it quickly we might be able to sync the deployments. But atm it looks like we need some more time with this so we do the 1.7.2 rollout as planed. - Thanks

Ok, I'll start the upgrade of the production canaries on Monday.

Mentioned in SAL (#wikimedia-operations) [2018-08-13T12:24:39Z] <moritzm> uploaded hhvm-wikidiff2 1.7.2 to apt.wikimedia.org (source package name is still php-wikidiff2 for historical reasons) (T199801)

Mentioned in SAL (#wikimedia-operations) [2018-08-13T12:28:25Z] <moritzm> upgrading mwdebug* servers to wikidiff 1.7.2 (T199801)

Mentioned in SAL (#wikimedia-operations) [2018-08-13T12:53:52Z] <moritzm> upgrading mw1261 servers to wikidiff 1.7.2 (T199801)

Mentioned in SAL (#wikimedia-operations) [2018-08-13T14:05:36Z] <moritzm> upgrading mw1262-1265 to wikidiff 1.7.2 (T199801)

MoritzMuehlenhoff closed this task as Resolved.Aug 17 2018, 1:15 PM

@WMDE-Fisch Wikidiff 1.7.2 has been deployed in production (also for the inactive data centre), I'm closing this task.

WMDE-Fisch updated the task description. (Show Details)Mon, Aug 20, 3:32 PM